const fs = require('fs');
const path = require('path');

test('上传图片', () => {
    const cssPath = path.resolve(__dirname, 'dist/test.upload.css');
    const css = fs.readFileSync(cssPath, 'utf8');
    if (process.env.TRVIS_TAG) {
        expect(css).toMatch(/\./);
    } else {
        expect(css).toMatch(/http(s)?:\/\//);
    }
})

test('Base64 图片', () => {
    const cssPath = path.resolve(__dirname, 'dist/test.base64.css');
    const css = fs.readFileSync(cssPath, 'utf8');
    expect(css).toMatch(/data:image\/[\w\W]*;base64,/);
})

test('线上图片', () => {
    const cssPath = path.resolve(__dirname, 'dist/test.online.css');
    const css = fs.readFileSync(cssPath, 'utf8');
    expect(css).toMatch(/https:\/\/fake\.58\.com\/test\.png/);
})